List automations (staff)
GET /api/automations. List automations (staff). Headless LMS Automations API reference.
Staff only (owner, admin, instructor). Optionally only workflows or only webhooks.
Query Parameters
kind?string
Value in
- "workflow"
- "webhook"
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/automations"[ { "orgId": "string", "id": "string", "name": "string", "kind": "workflow", "description": "string", "triggers": [ "string" ], "actions": [ { "type": "string", "input": { "property1": null, "property2": null } } ], "enabled": true, "filter": { "property1": null, "property2": null }, "source": "system", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }]{ "error": "string", "message": "string", "requestId": "string", "issues": [ { "path": "string", "message": "string" } ]}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}